/**
 * Represents an error when a number is not within the correct range allowed.
 * @syntax <code>new RangeError([<em>message</em>[, <em>fileName</em>[, <em>lineNumber</em>]]])</code>
 * @param {String} message Human-readable description of the error
 * @param {String} fileName Non-standard
 * @param {String} lineNumber Non-standard
 * @returns {Error} 
 */
function RangeError() {
}
/**
 * @returns {String} 
 */
RangeError.prototype.name;

/**
 * @returns {Function} 
 */
RangeError.prototype.constructor;

/**
 * Represents the prototype the RangeError constructor.
 * @returns {Object} 
 * @static
 */
RangeError.prototype;

