/**
 * Represents an error when a value is not of the expected type.
 * @syntax <code>new TypeError([<em>message</em>[, <em>fileName</em>[, <em>lineNumber</em>]]])</code>
 * @param {String} message Human-readable description of the error
 * @param {String} fileName Non-standard
 * @param {String} lineNumber Non-standard
 * @returns {Error} 
 */
function TypeError() {
}
/**
 * @returns {String} 
 * @static
 */
TypeError.name;

/**
 * @returns {Function} 
 * @static
 */
TypeError.constructor;

/**
 * Represents the prototype for the TypeError constructor.
 * @returns {Object} 
 * @static
 */
TypeError.prototype;

